List all origin external messages for a ticket. These are messages that originated from external systems and were synced into Serval. This helps you understand which messages came from which external channels.
cURL
curl --request GET \ --url https://public.api.serval.com/v2/tickets/{ticket_id}/external-messages \ --header 'Authorization: Bearer <token>'
{ "data": [ { "id": "<string>", "externalMessageId": "<string>", "messageId": "<string>", "sourceType": "EXTERNAL_MESSAGE_SOURCE_TYPE_UNSPECIFIED", "sourceId": "<string>", "isOrigin": true, "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z" } ] }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
The ID of the Serval ticket to list external messages for
Success
Show child attributes
The ID of the external message in Serval's system
The ID of the external message in the external system
The ID of the Serval message this external message is linked to
The type of external system (Slack, Jira, Email, etc.)
EXTERNAL_MESSAGE_SOURCE_TYPE_UNSPECIFIED
EXTERNAL_MESSAGE_SOURCE_TYPE_SLACK
EXTERNAL_MESSAGE_SOURCE_TYPE_LINEAR
EXTERNAL_MESSAGE_SOURCE_TYPE_EMAIL
EXTERNAL_MESSAGE_SOURCE_TYPE_JIRA
EXTERNAL_MESSAGE_SOURCE_TYPE_PUBLIC_API
EXTERNAL_MESSAGE_SOURCE_TYPE_FRESHSERVICE
EXTERNAL_MESSAGE_SOURCE_TYPE_ZENDESK
EXTERNAL_MESSAGE_SOURCE_TYPE_SERVICENOW
EXTERNAL_MESSAGE_SOURCE_TYPE_PHONE_CALL
EXTERNAL_MESSAGE_SOURCE_TYPE_MICROSOFT
The ID of the source/integration in Serval
Whether this external message is the origin source of the Serval message True if the Serval message was created from this external message
Timestamp when the external message link was created
Timestamp when the external message link was last updated
Was this page helpful?